<?
include ("../conectar.php"); 
include ("../funciones/fechas.php"); 

  date_default_timezone_set('America/Costa_Rica');

session_start();
	$usuario=limpiar($_SESSION['username']);
		$sqll=mysql_query("SELECT * FROM usuarios WHERE usu='$usuario'");
		if($dato=mysql_fetch_array($sqll)){
			$nombre=$dato['usu'];
			$palabra=explode(" ", $nombre);
			$nomb=$palabra[0];
			$codigo=$dato['codusu'];
			$codusu=explode(" ", $codigo);
			$cod=$codusu[0];
		}
		
 $accion=$_POST["accion"];
if (!isset($accion)) { $accion=$_GET["accion"]; }

$codfacturatmp=$_POST["codfacturatmp"];
$cdgcli=$_POST["cdgcli"];
 $dsccli=strtoupper($_POST["dsccli"]);
$cedcli=$_POST["cedcli"];
$hora = date("H:i:s");
$fecha=date("Y-m-d");
$cob_iv=$_POST["cob_iv"];
$remito=$_POST["remito"];
$numfactura=$_POST["numfactura"];
 $cdgtipven=$_POST["combotipoventa"];
$vehpla=$_POST["vehpla"];
$kmsveh=$_POST["kmsveh"];
$saldo_anterior=$_POST["salact"];
 $cdgven=$cod;
$descuento=$_POST["descuento"];
$minimo=0;
$total2=$_POST["total2"];
 $total2 = ereg_replace ("[,]","",$total2);
 
$codfacturacontado=$_POST["codfacturacontado"];
$codfacturacontado2=$_POST["codfacturacontado"];
$efectivo=$_POST["efectivo2"];
 $efectivo = ereg_replace ("[,]","",$efectivo);
  $efectivo = ereg_replace ("[₡]","",$efectivo);

$dolares=$_POST["dolares2"];
 $dolares = ereg_replace ("[,]","",$dolares);
 $dolares = ereg_replace ("[$]","",$dolares);
 
$tarjetas=$_POST["tarjetas2"];
 $tarjetas = ereg_replace ("[,]","",$tarjetas);
  $tarjetas = ereg_replace ("[₡]","",$tarjetas);

$cheques=$_POST["cheques2"];
 $cheques = ereg_replace ("[,]","",$cheques);
  $cheques = ereg_replace ("[₡]","",$cheques);

$depositos=$_POST["depositos2"];
 $depositos = ereg_replace ("[,]","",$depositos);
  $depositos = ereg_replace ("[₡]","",$depositos);


$pagacon2=$_POST["pagacon2"]; 
$pagacon = ereg_replace ("[,]","",$pagacon2);



$tipcamdol=$_POST["tipcamdol"];



 $query_parametros="SELECT * FROM web_0000 ";
	 $rs_query_parametros=mysql_query($query_parametros);


	//************************************************ Seleción del plazo del cliente *********************************

	
if ($accion=="caja") {
 if ($cdgtipven == 2) {
	 
		$query_plazo="SELECT cdgpla,salact,dsccli FROM web_0301 WHERE cdgcli='$cdgcli'";
		$rs_query_plazo=mysql_query($query_plazo);
		$pladia= mysql_result($rs_query_plazo,0,"cdgpla");
		$saldo_actual= mysql_result($rs_query_plazo,0,"salact");
		$dsccli= mysql_result($rs_query_plazo,0,"dsccli");


// calculo de la fecha de vencimiento **

		$vencimiento= "+".$pladia." day" ;
		
		$fecven = strtotime ( $vencimiento , strtotime ( $fecha ) ) ;
		$fecven = date ( 'Y-m-d' , $fecven );
	
	    $numfactura= mysql_result($rs_query_parametros,0,"numfaccon"); ///// se deja un solo consecutivo numfaccre
		$numfactura=$numfactura+1;
		
   } else {
   
	   $cdgtipven = 1;
	   $pladia = "0";
	
	    $numfactura= mysql_result($rs_query_parametros,0,"numfaccon");
		$numfactura=$numfactura+1;

    }

 ////////////////////////////////////////////////////   insert de la factura de Credito /////////////////////////////////

		if ($cdgtipven==2){

	
	$query_operacion="INSERT INTO facturas (codfactura, numfactura, fecha, iva, cdgcli, dsccli, estado, borrado, cdgtipven, cdgven, pladia, fechavencimiento, cdgcaj, horfac ) VALUES ('', '$numfactura', '$fecha', '$cob_iv', '$cdgcli', '$dsccli', '1', '0', '$cdgtipven','$cdgven','$pladia','$fecven','$cdgven','$hora')";				
	$rs_operacion=mysql_query($query_operacion);
	$codfactura=mysql_insert_id();


		$sel_articulos_contado="UPDATE web_0000 SET numfaccon='$numfactura' "; //// se suma el consecutivo a contado numfaccre
		$rs_articulos=mysql_query($sel_articulos_contado);

		
	
	if ($rs_operacion) { $mensaje="Factura Completa"; }
	$query_tmp="SELECT * FROM factulinea_contado WHERE codfactura='$codfacturatmp' ORDER BY numlinea ASC";
	$rs_tmp=mysql_query($query_tmp);
	$contador=0;
	$baseimponible=0;
	while ($contador < mysql_num_rows($rs_tmp)) {
		$numlinea=mysql_result($rs_tmp,$contador,"numlinea");
		$codigo=mysql_result($rs_tmp,$contador,"codigo");
		$dscart=mysql_result($rs_tmp,$contador,"dscart");
		$cantidad=mysql_result($rs_tmp,$contador,"cantidad");
		$preivi=mysql_result($rs_tmp,$contador,"preivi");
		$importe=mysql_result($rs_tmp,$contador,"importe");
		$impuesto=mysql_result($rs_tmp,$contador,"impuesto");
		$dcto=mysql_result($rs_tmp,$contador,"dcto");
		$mondes=mysql_result($rs_tmp,$contador,"mondes");
	
		if ($impuesto==0){
		
		$subexe=$subexe+$importe;
	    $preivi2=$importe;
		 } else {
		 
		 $subgra=$subgra+$importe;
		 $preivi2=$importe+$impuesto;
		 }
		 
	
		$baseimponible=$baseimponible+$importe;
	  	     
		$baseimpuestos=$baseimpuestos+$impuesto;
		    
		$basedescuento=$basedescuento+$mondes;
		
		$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
		 	$preciototal=round($preciototal);
		 
		 	$query_costos="SELECT cosart,cob_iv,cdgfam,cdglin FROM web_1001 WHERE cdgbar='$codigo'";
		$rs_query_costos=mysql_query($query_costos);
		$cosart= mysql_result($rs_query_costos,0,"cosart");
		$cob_iv= mysql_result($rs_query_costos,0,"cob_iv");
		$cdgfam= mysql_result($rs_query_costos,0,"cdgfam");
		$cdglin= mysql_result($rs_query_costos,0,"cdglin");

		$sel_insertar="INSERT INTO factulinea (codfactura,dscart,numlinea,codigo,cantidad,cosart,prenivi,preivi,importe,dcto,mondes,impuesto,cdgcli,cdgven,artexe,fecfac,cdgfam,cdglin) VALUES 
		('$codfactura','$dscart','$numlinea','$codigo','$cantidad','$cosart','$preivi','$preivi2','$importe','$dcto','$mondes','$impuesto','$cdgcli','$cdgven','$cob_iv','$fecha','$cdgfam','$cdglin')";
		$rs_insertar=mysql_query($sel_insertar);		

		$consulta1 = "DELETE FROM factulinea_contado  WHERE codfactura ='$codfacturatmp' AND numlinea ='$numlinea' ";
           $rs_consulta1 = mysql_query($consulta1);

		$contador++;
	}
	 
	  
	 
	 $consulta2 = "DELETE FROM facturas_contado  WHERE codfactura ='$codfacturatmp'";
$rs_consulta2 = mysql_query($consulta2);
	

	//************************************************ Insert 2101 CxC y 0301 saldo actual*******************************
			

		$query_operacion1="INSERT INTO web_2101 (numfac, fecfac, cdgcli, dsccli, pladia, monsub, mondes, impvta, totnet, cdgven, salact , fecven ) VALUES ('$numfactura', '$fecha', '$cdgcli', '$dsccli','$pladia','$baseimponible','$basedescuento','$baseimpuestos','$preciototal','$cdgven','$preciototal',  '$fecven' )";
		$rs_operacion1=mysql_query($query_operacion1);
	
	
		$sel_Saldos="SELECT  Sum(salact) AS totalfac FROM web_2101 WHERE cdgcli = $cdgcli";
	$rs_facturas=mysql_query($sel_Saldos);
	$salact=mysql_result($rs_facturas,0,"totalfac");

	 $sel_actual_saldo="UPDATE web_0301 SET salact='$salact' WHERE cdgcli = $cdgcli";
		$rs_actual_saldo=mysql_query($sel_actual_saldo);

	$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
	$preciototal=round($preciototal);
	

	$sel_act="UPDATE facturas SET totalfactura='$preciototal' ,  subexe='$subexe', subgra='$subgra', destot='$basedescuento',subtot='$baseimponible', impven='$baseimpuestos', destot='$basedescuento' WHERE codfactura='$codfactura'";
	$rs_act=mysql_query($sel_act);
	$baseimpuestos=0;
	$baseimponible=0;
	$preciototal=0;
	$cabecera1="Inicio >> Ventas &gt;&gt; Nueva Proforma ";
	$cabecera2="Transacción satisfactoria";
	
      
/////////////////////////////////////////insert de la factura de contado ///////////////////////////////////////////////
		}else {
	
	
	$query_operacion="INSERT INTO facturas (codfactura, numfactura, fecha, iva, cdgcli, dsccli, estado, borrado, cdgtipven, cdgven, pladia, fechavencimiento,cdgcaj,pagacon,efectivo,cheques,depositos,dolares,tarjetas,tipcamdol, horfac ) VALUES ('', '$numfactura', '$fecha', '$cob_iv', '$cdgcli', '$dsccli', '1', '0', '$cdgtipven','$cdgven','$pladia','$fecven','$cdgven','$pagacon2','$efectivo','$cheques','$depositos',    '$dolares','$tarjetas','$tipcamdol','$hora')";				
	$rs_operacion=mysql_query($query_operacion);
	$codfactura=mysql_insert_id();

		$sel_articulos_contado="UPDATE web_0000 SET numfaccon='$numfactura' ";
		$rs_articulos=mysql_query($sel_articulos_contado);

	
	if ($rs_operacion) { $mensaje="Factura Completa"; }
	$query_tmp="SELECT * FROM factulinea_contado WHERE codfactura='$codfacturatmp' ORDER BY numlinea ASC";
	$rs_tmp=mysql_query($query_tmp);
	$contador=0;
	$baseimponible=0;
	while ($contador < mysql_num_rows($rs_tmp)) {
		$numlinea=mysql_result($rs_tmp,$contador,"numlinea");
		$codigo=mysql_result($rs_tmp,$contador,"codigo");
		$dscart=mysql_result($rs_tmp,$contador,"dscart");
		$cantidad=mysql_result($rs_tmp,$contador,"cantidad");
		$preivi=mysql_result($rs_tmp,$contador,"preivi");
		$importe=mysql_result($rs_tmp,$contador,"importe");
		$impuesto=mysql_result($rs_tmp,$contador,"impuesto");
		$dcto=mysql_result($rs_tmp,$contador,"dcto");
		$mondes=mysql_result($rs_tmp,$contador,"mondes");
	
		if ($impuesto==0){
		
		$subexe=$subexe+$importe;
	    $preivi2=$importe;
		 } else {
		 
		 $subgra=$subgra+$importe;
		 $preivi2=$importe+$impuesto;
		 }
		 
	
		$baseimponible=$baseimponible+$importe;
	  	     
		$baseimpuestos=$baseimpuestos+$impuesto;
		    
		$basedescuento=$basedescuento+$mondes;
		
		$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
		$preciototal=round($preciototal);
		 
		 
		 	$query_costos="SELECT * FROM web_1001 WHERE cdgbar='$codigo'";
		$rs_query_costos=mysql_query($query_costos);
		$cosart= mysql_result($rs_query_costos,0,"cosart");
		$cob_iv= mysql_result($rs_query_costos,0,"cob_iv");
		$cdgfam= mysql_result($rs_query_costos,0,"cdgfam");
		$cdglin= mysql_result($rs_query_costos,0,"cdglin");

		$sel_insertar="INSERT INTO factulinea (codfactura,dscart,numlinea,codigo,cantidad,cosart,prenivi,preivi,importe,dcto,mondes,impuesto,cdgcli,cdgven,artexe,fecfac,cdgfam,cdglin) VALUES 
		('$codfactura','$dscart','$numlinea','$codigo','$cantidad','$cosart','$preivi','$preivi2','$importe','$dcto','$mondes','$impuesto','$cdgcli','$cdgven','$cob_iv','$fecha','$cdgfam','$cdglin')";
		$rs_insertar=mysql_query($sel_insertar);		
		
		    $consulta1 = "DELETE FROM factulinea_contado  WHERE codfactura ='$codfacturatmp' AND numlinea ='$numlinea' ";
           $rs_consulta1 = mysql_query($consulta1);
		
		
		$contador++;
	}
	
	 $consulta2 = "DELETE FROM facturas_contado  WHERE codfactura ='$codfacturatmp'";
$rs_consulta2 = mysql_query($consulta2);

	$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
	$preciototal=round($preciototal);
	
	$vuelto2=$pagacon2 - $preciototal;

	$sel_act="UPDATE facturas SET totalfactura='$preciototal' ,  subexe='$subexe', subgra='$subgra', destot='$basedescuento',subtot='$baseimponible', impven='$baseimpuestos', destot='$basedescuento' , vuelto='$vuelto2'  WHERE codfactura='$codfactura'";
	$rs_act=mysql_query($sel_act);
	$baseimpuestos=0;
	$baseimponible=0;
	$preciototal=0;
	$cabecera1="Inicio >> Ventas &gt;&gt; Nueva Proforma ";
	$cabecera2="Transacción satisfactoria";
	}
   }
   

////////////////////////////////////////////////   rebajo de unidades al inventatio ///////////////////////

 $sel_lineas="SELECT codigo,cantidad FROM factulinea WHERE codfactura='$codfactura'";
$rs_lineas=mysql_query($sel_lineas);
						for ($i = 0; $i < mysql_num_rows($rs_lineas); $i++) {
							$cdgbar=mysql_result($rs_lineas,$i,"codigo");
							$cantidad=mysql_result($rs_lineas,$i,"cantidad");
				
			$sel_articulos="UPDATE web_1001 SET exiact=(exiact-'$cantidad') WHERE cdgbar='$cdgbar' and tipart != 2 ";
		     $rs_articulos=mysql_query($sel_articulos);
							}

////////////////////////////////////////imprimir facturas/////////////////////////////////////////////
if ($cdgtipven==1){

?>
	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function aceptar() {
			location.href="../Caja/index.php";
		}
		
		function imprimir(codfactura) {
		//	window.open("../fpdf/imprimir_factura.php?codfactura="+codfactura);
		window.open("../fpdf/imprimir_factura_PUNTO_VENTA_SUPER.php?codfactura="+codfactura);
		//window.open("../fpdf/imprimir_factura_TERMICA.php?codfactura="+codfactura);
		
		//location.href="nueva_proforma_super.php";
		}
		
		
		
		  window.onkeydown = tecla;

  function tecla(event) {
  if(  event.keyCode ==13	) {    num = event.keyCode;

if(num==13)aceptar(); // f3  busqueda de clientes 

  }
	  }	
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		
		
		function inicio(){
	   		
    document.getElementById("total").focus();
}		
	

		</script>
<? 
		
	
echo "<script>";
echo "imprimir($codfactura);";
echo "</script>";	



?>
</head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	<body onLoad="nobackbutton(); inicio()">
			<div id="zonaContenido">
         	<div class="contenidoPago">
			   <div align="center">
			     <table width="85%"  border="0">
			      <tr>
			        <td colspan="6">&nbsp;</td>
		          </tr>
			      <tr>
			        <td width="89">&nbsp;</td>
			        <td width="3">&nbsp;</td>
			        <td width="61">&nbsp;</td>
			        <td width="68" class="fuente8">TOTAL </td>
			        <td width="480" ><input id="total"  readonly="readonly"  class="fuente_totales3" name="total"  value="<? echo number_format($total2,2,".",",")?>"   style='text-align:right;'  type="text" /></td>
			        <td width="1">&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td class="fuente8">PAGADO</td>
			        <td><input id="pagacon"  readonly="readonly"  class="fuente_totales3" name="pagacon"  value="<? echo number_format($pagacon2,2,".",",")?>"  style='text-align:right;'   type="text" /></td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
		           </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td class="fuente8">CAMBIO</td>
			        <td><input id="vuelto"  readonly="readonly"  class="fuente_totales3" name="vuelto"   value="<? echo number_format($vuelto2,2,".",",")?>"    style='text-align:right;'    type="text" /></td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
		          </tr>
		         </table>
			    <br> 
			    </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<p><img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="aceptar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">
					  
				  </p>
					<p><span class="fuente_gracias">MUCHAS GRACIAS POR SU PREFERENCIA </span></p>
				</div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>
<? 
 } else {
 ?>  
 	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function aceptar() {
		location.href="../Caja/index.php";
		}
		
		function imprimir(codfactura) {
		//	window.open("../fpdf/imprimir_factura.php?codfactura="+codfactura);
		window.open("../fpdf/imprimir_factura_PUNTO_VENTA_SUPER.php?codfactura="+codfactura);
		//window.open("../fpdf/imprimir_factura_TERMICA.php?codfactura="+codfactura);
		
		//location.href="nueva_proforma_super.php";
		}
		
		
				  window.onkeydown = tecla;

  function tecla(event) {
  if(  event.keyCode ==13	) {    num = event.keyCode;

if(num==13)aceptar(); // f3  busqueda de clientes 

  }
	  }	
	  
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

		function inicio(){
	   		
    document.getElementById("total").focus();
}	
		
		</script>
<? 
		
	
echo "<script>";
echo "imprimir($codfactura);";
echo "</script>";	



?>
</head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	<body onLoad="nobackbutton(); inicio()">
			<div id="zonaContenido">
         	<div class="contenidoPago">
			   <div align="center">
			     <table width="85%"  border="0">
			      <tr>
			        <td colspan="6">&nbsp;</td>
		          </tr>
			      <tr>
			        <td width="89">&nbsp;</td>
			        <td width="3">&nbsp;</td>
			        <td width="61">&nbsp;</td>
			        <td width="68" class="fuente8">TOTAL </td>
			        <td width="480" ><input id="total"  readonly="readonly"  class="fuente_totales3" name="total"  value="<? echo $total2?>"  style='text-align:right;'  type="text" /></td>
			        <td width="1">&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td class="fuente8">ANTERIOR</td>
			        <td><input id="anterior"  readonly="readonly"  class="fuente_totales3" name="anterior"  value="<? echo number_format($saldo_anterior,2,".",",")?>"  style='text-align:right;'   type="text" /></td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
		           </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td class="fuente8">ACTUAL</td>
			        <td><input id="actual"  readonly="readonly"  class="fuente_totales3" name="actual"   value="<? echo number_format($salact,2,".",",")?>"    style='text-align:right;'    type="text" /></td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
		          </tr>
		         </table>
			    <br> 
			    </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<p><img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="aceptar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">
					  
				  </p>
					<p><span class="fuente_gracias">MUCHAS GRACIAS POR SU PREFERENCIA </span></p>
				</div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>
 
 
<?  
   } 
   
   

?>

					